> ## Documentation Index
> Fetch the complete documentation index at: https://docs.juicyway.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List swaps



## OpenAPI

````yaml /openapi.json get /exchange/swap
openapi: 3.0.0
info:
  title: Juicyway API
  version: 1.0.0
servers: []
security: []
tags:
  - description: Payment APIs
    name: payments
  - description: Payouts APIs
    name: payouts
  - description: Exchange APIs
    name: exchange
  - description: Wallets APIs
    name: wallets
paths:
  /exchange/swap:
    get:
      tags:
        - exchange
      summary: List swaps
      operationId: Exchange.Web.SwapController.list
      parameters:
        - description: Cursor
          in: query
          name: before
          required: false
          schema:
            type: string
        - description: After
          in: query
          name: after
          required: false
          schema:
            type: string
        - description: Limit
          in: query
          name: limit
          required: false
          schema:
            type: integer
        - description: ''
          in: query
          name: symbol
          required: false
          schema:
            description: Swap symbol
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SwapListResponse'
          description: Swap List
      callbacks: {}
components:
  schemas:
    SwapListResponse:
      description: Response schema for multiple swaps
      properties:
        data:
          description: Swap list
          items:
            $ref: '#/components/schemas/SwapDetails'
          type: array
        pagination:
          $ref: '#/components/schemas/Pagination'
      title: SwapListResponse
      type: object
    SwapDetails:
      description: Swap details
      example:
        correlation_id: 7da742ea-a1bc-11ee-b907-560f156a658b
        created_at: '2021-01-01T00:00:00Z'
        customer:
          email: customer@email.com
          id: '1'
          name: User 1
          type: user
        id: 7da8e726-a1bc-11ee-80cf-560f156a658b
        provider:
          email: provider@email.com
          id: '1'
          name: Provider 1
          type: provider
        source_amount:
          amount: 1
          currency: USD
        status: success
        symbol: USD-NGN
        target_amount:
          amount: 1000
          currency: NGN
        updated_at: '2021-01-01T00:00:00Z'
      properties:
        client_reference:
          description: Reference
          nullable: true
          type: string
        correlation_id:
          description: Correlation ID
          type: string
        created_at:
          description: Creation timestamp
          format: date-time
          type: string
        customer:
          $ref: '#/components/schemas/Profile'
        fee_amount:
          description: Fee Amount
          type: number
        fee_currency:
          description: Fee Currency
          type: string
        id:
          description: Id
          type: string
        provider:
          $ref: '#/components/schemas/Profile'
        source_amount:
          description: Source Amount
          type: number
        source_currency:
          description: Source Currency
          type: string
        status:
          enum:
            - pending
            - success
            - failed
          type: string
        symbol:
          description: Currency pair
          type: string
        target_amount:
          description: Target Amount
          type: number
        target_currency:
          description: Target Currency
          type: string
        updated_at:
          description: Update timestamp
          format: date-time
          type: string
      title: SwapDetails
      type: object
    Pagination:
      example:
        after: b101f718-d133-450c-a572-c281c7341803
        before: null
        limit: 15
      properties:
        after:
          description: After cursor
          nullable: true
          type: string
        before:
          description: Before cursor
          nullable: true
          type: string
        limit:
          description: Limit
          type: integer
      title: Pagination
      type: object
    Profile:
      description: Profile Details
      example:
        email: customer@email.com
        id: '1'
        name: User 1
        type: user
      properties:
        email:
          description: Provider email
          nullable: true
          type: string
        id:
          description: Provider ID
          type: string
        name:
          description: Provider name
          nullable: true
          type: string
        type:
          description: Provider type
          type: string
      title: Profile
      type: object

````